Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.isismtt.x509
Class Restriction

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.isismtt.x509.Restriction

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class Restriction
extends ASN1Object

Some other restriction regarding the usage of this certificate. RestrictionSyntax ::= DirectoryString (SIZE(1..1024))

Constructor Summary
`Restriction(java.lang.String restriction)` Constructor from a given details.

Method Summary
`static Restriction` | `getInstance(java.lang.Object obj)`
`DirectoryString` | `getRestriction()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Restriction

    public Restriction(java.lang.String restriction)

  Constructor from a given details.

Parameters:
  `restriction` - The describtion of the restriction.

Method Detail

### getInstance

    public static Restriction getInstance(java.lang.Object obj)

### getRestriction

    public DirectoryString getRestriction()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Returns: RestrictionSyntax ::= DirectoryString (SIZE(1..1024))

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a DERObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD